<?php
class Ittweb_Cvetta_Model_System_Config_Backend_Sync extends Mage_Core_Model_Config_Data
{
    const CRON_STRING_PATH = 'crontab/jobs/cvetta_syncronyze/schedule/cron_expr';

    protected function _afterSave()
    {
        $cron_enabled = $this->getValue();

        $cron_expr = '';
        if ($cron_enabled) {
            $cron_expr = $this->getData('groups/settings/fields/freq_sync/value');
        }

        try {
            Mage::getModel('core/config_data')
                ->load(self::CRON_STRING_PATH, 'path')
                ->setValue($cron_expr)
                ->setPath(self::CRON_STRING_PATH)
                ->save();
        }
        catch (Exception $e) {
            throw new Exception(Mage::helper('cron')->__('Unable to save the cron expression.'));
        }
    }
}